Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationInstance Class Reference

変換インスタンス More...

`#include <TranslationInstance.h>`

Inheritance diagram for LampForMaya::TranslationInstance:

List of all members.

## Public Member Functions
virtual | ~TranslationInstance ()
| デストラクタ
virtual bool | analyze ()
| 分析
virtual bool | convertToLamp (Scene *scene)=0
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)=0
| アニメーションの変換
virtual String | getName () const
| 名前の取得
virtual bool | isTranslationSceneNodeInstance () const
| 変換シーンノードインスタンスかどうか
virtual TranslationSceneNodeInstance * | castTranslationSceneNodeInstance () const
| 変換シーンノードインスタンスへのキャスト
virtual bool | isTranslationLightInstance () const
| 変換ライトインスタンスかどうか
virtual TranslationLightInstance * | castTranslationLightInstance () const
| 変換ライトインスタンスへのキャスト
virtual bool | isTranslationModelInstance () const
| 変換モデルインスタンスかどうか
virtual TranslationModelInstance * | castTranslationModelInstance () const
| 変換モデルインスタンスへのキャスト
## Protected Member Functions
| TranslationInstance (const MDagPath &initializePath, const String &initializeName)
| コンストラクタ
virtual bool | analyzeInstance ()
| インスタンスの分析
virtual bool | convertSceneNodeAnimation (AnimationManager *animationManager, AnimationSet *animationSet, SceneNode *sourceSceneNode, SceneNode *destinationSceneNode)
| シーンノードアニメーションの変換
virtual bool | convertSceneLeafAnimation (AnimationManager *animationManager, AnimationSet *animationSet, SceneLeaf *sourceSceneLeaf, SceneLeaf *destinationSceneLeaf)
| シーンリーフアニメーションの変換
## Protected Attributes
MDagPath | dagPath_
| Dagパス.
MObject | object_
| オブジェクト
String | name_
| 名前
String | parentSceneNodeName_
| 親シーンノードの名前
bool | visibility_
| 表示フラグ
## Friends
class | TranslationInstanceManager

## Detailed Description

変換インスタンス

Definition at line 48 of file TranslationInstance.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationInstance::TranslationInstance | ( | const MDagPath & | initializePath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializePath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 37 of file TranslationInstance.cpp. References dagPath_, MayaStatusCheck, and object_.

## Member Function Documentation

virtual bool LampForMaya::TranslationInstance::analyze | ( |  | ) | `[inline, virtual]`

| 分析 Returns: 成功すればtrue Reimplemented in LampForMaya::TranslationSceneNodeInstance. Definition at line 61 of file TranslationInstance.h. References analyzeInstance(). Referenced by LampForMaya::TranslationInstanceManager::analysisInstance().

bool LampForMaya::TranslationInstance::analyzeInstance | ( |  | ) | `[protected, virtual]`

| インスタンスの分析 Returns: 成功すればtrue Definition at line 51 of file TranslationInstance.cpp. References dagPath_, MayaStatusCheck, object_, parentSceneNodeName_, and visibility_. Referenced by LampForMaya::TranslationSceneNodeInstance::analyze(), and analyze().

virtual TranslationLightInstance* LampForMaya::TranslationInstance::castTranslationLightInstance | ( |  | ) | const`[inline, virtual]`

| 変換ライトインスタンスへのキャスト Returns: 変換ライトインスタンス。型が違えばNULLを返す。 Definition at line 118 of file TranslationInstance.h. References isTranslationLightInstance().

virtual TranslationModelInstance* LampForMaya::TranslationInstance::castTranslationModelInstance | ( |  | ) | const`[inline, virtual]`

| 変換モデルインスタンスへのキャスト Returns: 変換モデルインスタンス。型が違えばNULLを返す。 Definition at line 136 of file TranslationInstance.h. References isTranslationModelInstance().

virtual TranslationSceneNodeInstance* LampForMaya::TranslationInstance::castTranslationSceneNodeInstance | ( |  | ) | const`[inline, virtual]`

| 変換シーンノードインスタンスへのキャスト Returns: 変換シーンノードインスタンス。型が違えばNULLを返す。 Definition at line 100 of file TranslationInstance.h. References isTranslationSceneNodeInstance().

virtual bool LampForMaya::TranslationInstance::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[pure virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Implemented in LampForMaya::TranslationLightInstance, LampForMaya::TranslationModelInstance, and LampForMaya::TranslationSceneNodeInstance.

bool LampForMaya::TranslationInstance::convertSceneLeafAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet,
|  | SceneLeaf * | sourceSceneLeaf,
|  | SceneLeaf * | destinationSceneLeaf
| ) | `[protected, virtual]`

  | シーンリーフアニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
  sourceSceneLeaf | コピー元シーンリーフ
  destinationSceneLeaf | コピー先シーンリーフ
Definition at line 95 of file TranslationInstance.cpp. Referenced by LampForMaya::TranslationModelInstance::convertAnimation(), LampForMaya::TranslationLightInstance::convertAnimation(), and convertSceneNodeAnimation().

bool LampForMaya::TranslationInstance::convertSceneNodeAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet,
|  | SceneNode * | sourceSceneNode,
|  | SceneNode * | destinationSceneNode
| ) | `[protected, virtual]`

  | シーンノードアニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
  sourceSceneNode | コピー元シーンノード
  destinationSceneNode | コピー先シーンノード
Definition at line 67 of file TranslationInstance.cpp. References convertSceneLeafAnimation(). Referenced by LampForMaya::TranslationSceneNodeInstance::convertAnimation().

virtual bool LampForMaya::TranslationInstance::convertToLamp | ( | Scene * | scene | ) | `[pure virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implemented in LampForMaya::TranslationLightInstance, LampForMaya::TranslationModelInstance, and LampForMaya::TranslationSceneNodeInstance. Referenced by LampForMaya::TranslationInstanceManager::convertToLamp().

virtual String LampForMaya::TranslationInstance::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 85 of file TranslationInstance.h. References name_. Referenced by LampForMaya::TranslationInstanceManager::searchValidInstance().

virtual bool LampForMaya::TranslationInstance::isTranslationLightInstance | ( |  | ) | const`[inline, virtual]`

| 変換ライトインスタンスかどうか Returns: 変換ライトインスタンスならtrue Reimplemented in LampForMaya::TranslationLightInstance. Definition at line 112 of file TranslationInstance.h. Referenced by castTranslationLightInstance().

virtual bool LampForMaya::TranslationInstance::isTranslationModelInstance | ( |  | ) | const`[inline, virtual]`

| 変換モデルインスタンスかどうか Returns: 変換モデルインスタンスならtrue Reimplemented in LampForMaya::TranslationModelInstance. Definition at line 130 of file TranslationInstance.h. Referenced by castTranslationModelInstance().

virtual bool LampForMaya::TranslationInstance::isTranslationSceneNodeInstance | ( |  | ) | const`[inline, virtual]`

| 変換シーンノードインスタンスかどうか Returns: 変換シーンノードインスタンスならtrue Reimplemented in LampForMaya::TranslationSceneNodeInstance. Definition at line 94 of file TranslationInstance.h. Referenced by castTranslationSceneNodeInstance(), and LampForMaya::TranslationInstanceManager::searchValidInstance().

The documentation for this class was generated from the following files:

- TranslationInstance.h
- TranslationInstance.cpp